Subject: bug#15833: 24.3.50; sit-for and sentinels

From: Helmut Eller <[email-masked]>
Date: Mon, 11 Nov 2013 08:41:06 +0100

On Mon, Nov 11 2013, Stefan Monnier wrote:

>>   src/emacs -Q -l test/automated/process-tests.el -f ert-run-tests-batch
>> The sit-for test fails.  The contents of the *Messages* buffer is:
>
> Hmm... for me if I add "--batch" then both tests succeed, and if
> I use the above command as is (i.e.in an X11 Emacs session) then both
> tests fail.
>
> So, it might be timing-dependent.  E.g. it might depend on whether the
> process dies before we get to the wait-function?

When I let the process wait a little before exiting, by changing

  (start-process "test" nil "bash" "-c" "exit 20")

to

  (start-process "test" nil "bash" "-c" "sleep 2; exit 20")

the test still fails; even sometimes, but not always, with --batch.

Helmut